## xscreensaver 5.40

=== debian/changelog ===
xscreensaver (5.40-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 26 Nov 2018 12:45:16 -0800

xscreensaver (5.40-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * New upstream version 5.40 (Closes: #907674)
    - New hacks, `filmleader', `vfeedback' and `glitchpe'
    - GLPlanet blends between day and night maps at the dusk terminator.
    - DymaxionMap can display arbitrary map images, and animate sunlight
      across the flattened globe.
    - Tessellimage can draw either Delaunay or Voronoi tilings.
    - XAnalogTV includes test cards.
  * Removed patches that do not apply and were fixing a bug that seems
    fixed upstream (#304344):
    - 30_hacks_xanalogtv.patch and
    - 31_utils_images_logo-50-bad-xpm.patch

  [ Tormod Volden ]
  * New upstream release 5.39, changes since 5.36:
    - New hacks, `vigilance', 'esper', 'razzledazzle', 'peepers',
      'crumbler' and `maze3d'.
    - Added Mac Software Update and VMware to `bsod'.
    - Updated `webcollage' for recent changes.
    - `webcollage' now works with ImageMagick instead of with
      pbmtools if `webcollage-helper' is not installed.
    - 'bsod' now accepts Dunning-Krugerrands.
    - Lots of xlockmore-derived hacks now have animated erase routines.
    - 'm6502' now includes 'texture.asm'.
    - More heuristics for using RSS feeds as image sources.
    - Built-in image assets are now PNG instead of XPM or XBM.
    - Better font-loading fallback heuristics on systems with a
      terrible selection of installed fonts.
    - Try harder to find sensible fonts for the password dialog.
    - Various bug fixes.
    - Added 6502/dmsc source (Closes: #876087)
  * Build-Depends on libpng-dev instead of libxpm-dev
  * debian/xscreensaver.install.stub: Locale 'ca' dropped upstream
  * debian/rules: Stop if intltool-update fails (Closes: #873108)
  * Allow cross-compilation (Closes: #873106) thanks Helmut Grohne!
  * debian/patches/92_hacks_images_distclean.patch:
    Missing distclean in new, non-generated Makefile
  * debian/patches/93_driver_distclean.patch:
    Remove autogenerated files in distclean
  * Drop recommends on libgnomeui (Closes: #885731)
  * Change recommends from perl5 to perl (Closes: #864310)
  * Run wrap-and-sort on debian/control and clean-up trailing
    whitespace in changelog and rules (Lintian warnings)
  * Add missing patch description (Lintian warning)
  * Bump Standards-Version to 4.1.4 (no changes needed)
  * Update various URLs to use https instead of http
  * Update Vcs-* fields to new location at salsa.debian.org
  * Switch to dpkg-source 3.0 (quilt) format

 -- Tormod Volden <debian.tormod@gmail.com>  Thu, 27 Sep 2018 00:12:07 +0200

xscreensaver (5.36-1) unstable; urgency=medium

  * New upstream release 5.36, changes since 5.34:
    - New hacks (modes): `dymaxionmap', `unicrud', `energystream',
      `raverhoop', `hydrostat', `discoball', `cubetwist', `cubestack',
      `splodesic' and `hexstrut'.
    - Ignore WM_USER_TIME property changes with days-old timestamps.
    - Added Windows 10 to `bsod'.
    - `pong' is now playable.
    - Several new programs in `m6502'.
    - `rotzoomer -mode circle'.
    - Better titles in `photopile'.
  * Replace dependencies on libjpeg-progs with libjpeg-turbo-progs
    (Closes: #813395)
  * debian/patches/12_upstream_hurd-no-pthread_stack_min.patch:
    Do not check for PTHREAD_STACK_MIN on GNU/Hurd (Closes: #823049)
  * debian/control: Updated, secure Vcs-Git and Vcs-Browser URI
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Bump debhelper compatibility version to 9
  * debian/patches/20_hacks_maze_xpm_libs.patch: Deleted (obsolete)
  * Add patch descriptions (and some bug references) to all patches
  * debian/rules: Enable all hardening options
  * debian/control: Remove Enhances (reverse dependencies) and obsolete
    Breaks, Replaces and versioned dependencies (Closes: #822621)
  * Ship /usr/lib/systemd/user/xscreensaver.service (Closes: #843610)
  * debian/patches/75_Makefile_in-ignore-alien-platforms.patch:
    Do not descend into OSX and android folders in make clean

 -- Tormod Volden <debian.tormod@gmail.com>  Sun, 11 Dec 2016 15:18:05 +0100

xscreensaver (5.34-2) unstable; urgency=medium

  * Fix sort order in hacks/Makefile (for reproducible builds)
    (Closes: #819595) Thanks to Sascha Steinbiss!
  * Disable Easter egg about "outdated" version
    (Closes: #819703)

 -- Tormod Volden <debian.tormod@gmail.com>  Tue, 05 Apr 2016 22:53:13 +0200

xscreensaver (5.34-1) unstable; urgency=medium

  * New upstream release 5.34
    - Fixed a crash when hot-swapping monitors while locked.
      (Closes: #802914)
    - Fixed some incorrect output from xscreensaver-command -watch.

 -- Tormod Volden <debian.tormod@gmail.com>  Sun, 25 Oct 2015 09:31:21 +0100

xscreensaver (5.33-1) unstable; urgency=low

  * New upstream release 5.33, changes since 5.30:
    - New hacks, `geodesicgears', `binaryring', `cityflow', `splitflap'
      and `romanboy'.
    - UTF-8 text support (instead of only Latin1) and antialiased text
      on X11 with Xft (instead of only on OSX/iOS) in `fontglide',
      `noseguy', `fliptext', `starwars', and `winduprobot'.
      The other text-displaying hacks (`apple2', `phosphor', `xmatrix',
      and `gltext') also now accept UTF-8 input, though they convert it
      to Latin1 or ASCII. (Closes: #180775)
    - `glplanet' now has both day and night maps, and a sharp terminator.
    - Fixed a transparency glitch in `winduprobot'.
    - Better detection of user activity on modern GNOME systems.
  * xscreensaver*.postrm/postinst/preinst: Remove obsolete parts used in
    lenny->squeeze and potato->woody transitions
  * Do not overwrite user-configured /etc/X11/app-defaults/XScreenSaver
    Thanks to Bastien Roucariès for initial patch (Closes: #767019)
  * Replace GNOME with MATE in desktop files stub (Closes: #766880, #774539)


=== debian/control ===
Source: xscreensaver
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Tormod Volden <debian.tormod@gmail.com>
Build-Depends: autotools-dev,
               bc,
               debhelper (>= 9.0),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1),
               fortune-mod,
               intltool,
               libgl1-mesa-dev | libgl-dev,
               libglade2-dev,
               libgle-dev,
               libglu1-mesa-dev | xlibmesa-glu-dev | libglu-dev,
               libgtk2.0-dev,
               libjpeg-dev,
               libpam0g-dev,
               libpng-dev,
               libx11-dev,
               libxext-dev,
               libxinerama-dev,
               libxml2-dev,
               libxmu-dev,
               libxrandr-dev,
               libxss-dev,
               libxt-dev,
               libxtst-dev,
               libxxf86vm-dev,
               pkg-config,
               quilt,
               x11proto-core-dev,
               xbitmaps,
               xutils-dev
Standards-Version: 4.1.4
Homepage: https://www.jwz.org/xscreensaver/
Vcs-Browser: https://salsa.debian.org/debian/xscreensaver
Vcs-Git: https://salsa.debian.org/debian/xscreensaver.git

Package: xscreensaver
Architecture: any
Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
Recommends: libjpeg-turbo-progs, miscfiles | wordlist, perl
Suggests: fortune,
          gdm3 | kdm-gdmcompat,
          qcam | streamer,
          www-browser,
          xdaliclock,
          xfishtank,
          xscreensaver-data-extra,
          xscreensaver-gl,
          xscreensaver-gl-extra
Description: Screensaver daemon and frontend for X11
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package includes the bare minimum needed to blank and lock your
 screen. Install this package if you want to use the xscreensaver engine
 to control screen blanking and launching display modes ("hacks"). If
 you only want to use other screensaver engines, you don't need to
 install this package.
 .
 The graphical display modes are in the xscreensaver-data,
 xscreensaver-data-extra, xscreensaver-gl and xscreensaver-gl-extra
 packages.

Package: xscreensaver-data
Architecture: any
Depends: libwww-perl, ${misc:Depends}, ${shlibs:Depends}
Suggests: xscreensaver
Description: Screen saver modules for screensaver frontends
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package contains a small selection of graphical screen saver
 modules (listed below) from the xscreensaver collection. This package
 can be used by xscreensaver and also some other screensaver engines.
 .
 This is the selected set of non-GL screensavers shipped by default:
 abstractile, binaryring, cwaves, deco, distort, fiberlamp, fuzzyflakes,
 galaxy, hexadrop, m6502, metaballs, penrose, ripples, shadebobs,
 slidescreen, swirl, tessellimage, xlyap.
 .
 More display modes can be found in xscreensaver-data-extra,
 xscreensaver-gl and xscreensaver-gl-extra packages.

Package: xscreensaver-data-extra
Architecture: any
Depends: dictionaries-common,
         libjpeg-turbo-progs,
         netpbm,
         xscreensaver-data,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Extra screen saver modules for screensaver frontends
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package contains the rest of the 2D screen saver modules from
 the xscreensaver collection. This package can be used by
 xscreensaver and also some other screensaver engines.
 .
 This is the set of non-GL screensavers not shipped by default:
 anemone, anemotaxis, apollonian, apple2, attraction, barcode,
 blaster, blitspin, bouboule, boxfit, braid, bumps, ccurve, celtic,
 cloudlife, compass, coral, crystal, cynosure, decayscreen, deluxe,
 demon, discrete, drift, epicycle, eruption, euler2d, fadeplot,
 filmleader, fireworkx, flame, flow, fluidballs, fontglide, glitchpeg,
 goop, grav, greynetic, halftone, halo, helix, hopalong, ifs, imsmap,
 interaggregate, interference, intermomentary, julia, kaleidescope,
 kumppa, lcdscrub, ljlatest, loop, maze, memscroller, moire2, moire,
 mountain, munch, nerverot, noseguy, pacman, pedal, penetrate, petri,
 phosphor, piecewise, polyominoes, pong, pyro, qix, rd-bomb, rocks,
 rorschach, rotzoomer, sierpinski, slip, speedmine, spotlight,
 squiral, starfish, strange, substrate, thornbird, triangle, truchet,
 twang, vermiculate, vfeedback, vidwhacker, wander, whirlwindwarp,
 wormhole, xanalogtv, xflame, xjack, xmatrix, xrayswarm, xspirograph,
 zoom.
 .
 More display modes can be found in the xscreensaver-data,
 xscreensaver-gl and xscreensaver-gl-extra packages.

Package: xscreensaver-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xscreensaver
Description: GL(Mesa) screen saver modules for screensaver frontends
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package contains a small selection of 3D (OpenGL) screen saver
 modules from the xscreensaver collection. This package can be used by
 xscreensaver and also some other screensaver engines.
 .
 This is the set of GL screensavers shipped by default:
 antinspect, antspotlight, atunnel, blinkbox, bubble3d, circuit,
 cityring, crumbler, cubestack, cubestorm, cubetwist, discoball,
 dymaxionmap, endgame, energystream, engine, esper, flipflop,
 flipscreen3d, flyingtoasters, gears, geodesic, geodesicgears, gflux,
 glblur, glcells, gleidescope, glknots, glmatrix, glschool,
 glslideshow, glsnake, gltext, hexstrut, hydrostat, hypertorus,
 jigglypuff, kaleidocycle, lavalite, lockward, maze3d, mirrorblob,
 moebius, moebiusgears, molecule, morph3d, peepers, pipes, polyhedra,
 polytopes, projectiveplane, pulsar, quasicrystal, queens, raverhoop,
 razzledazzle, romanboy, sierpinski3d, sonar, spheremonics, splitflap,
 splodesic, stonerview, superquadrics, topblock, unicrud, vigilance,
 voronoi, winduprobot.
 .
 More display modes can be found in the xscreensaver-data,
 xscreensaver-data-extra and xscreensaver-gl-extra packages.

Package: xscreensaver-gl-extra
Architecture: any
Depends: xscreensaver-gl, ${misc:Depends}, ${shlibs:Depends}
Description: Extra GL(Mesa) screen saver modules for screensaver frontends
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package contains the rest of the 3D (OpenGL) screen saver
 modules from the xscreensaver collection. This package can be used by
 xscreensaver and also some other screensaver engines.
 .
 This is the set of GL screensavers not shipped by default with
 xscreensaver-gl:
 antmaze, atlantis, blocktube, boing, bouncingcow, boxed, cage,
 carousel, companioncube, crackberg, cube21, cubenetic, cubicgrid,
 dangerball, extrusion, fliptext, flurry, glhanoi, glplanet,
 hilbert, hypnowheel, jigsaw, juggler3d, klein, lament, menger, noof,
 photopile, pinion, providence, rubik, rubikblocks, sballs, skytentacles,
 sproingies, stairs, starwars, surfaces, tangram, timetunnel, tronbit,
 unknownpleasures.
 .
 More display modes can be found in the xscreensaver-data,
 xscreensaver-data-extra and xscreensaver-gl packages.

Package: xscreensaver-screensaver-webcollage
Architecture: any
Depends: xscreensaver-data-extra, ${misc:Depends}, ${shlibs:Depends}
Description: Webcollage screen saver module from XScreenSaver
 This package ships the mode webcollage which displays images from random
 web searches on the Internet.
 .
 WARNING: The Internet being what it is, absolutely anything might show up
 in the collage of search results including -- quite possibly -- pornography,
 or even nudity. Please act accordingly.

Package: xscreensaver-screensaver-bsod
Architecture: any
Depends: xscreensaver-data-extra, ${misc:Depends}, ${shlibs:Depends}
Description: BSOD screen saver module from XScreenSaver
 This package ships the mode BSOD that shows the popular Blue Screens of Death
 from several OSes including BSD, Windows, Linux, Solaris, Apple and much more.
 .
 WARNING: This screensaver could be confused with a real BSOD and could lead an
 user to reboot the machine with consequences like data loss.

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for xscreensaver, adapted by Larry Daffner from
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
# Modified by Jose Luis Rivas and Tormod Volden and others

# Includes hardening compile options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

build:	build-arch build-indep
build-arch:	build-stamp
build-indep:	build-stamp
build-stamp:
	dh_testdir

	# Generate POT file for translators
	cd po && intltool-update --verbose -p && cd ..

	# These are for some reason in the upstream tarball, preserve them
	[ -f driver/XScreenSaver_ad.h.upstream ] || \
	  [ ! -f driver/XScreenSaver_ad.h ] || \
	    mv driver/XScreenSaver_ad.h driver/XScreenSaver_ad.h.upstream
	[ -f driver/XScreenSaver_Xm_ad.h.upstream ] || \
	  [ ! -f driver/XScreenSaver_Xm_ad.h ] || \
	    mv driver/XScreenSaver_Xm_ad.h driver/XScreenSaver_Xm_ad.h.upstream

	# Configs files will be updated, so preserve originals
	[ -f config.sub.upstream ] || \
	  mv config.sub config.sub.upstream && \
	    cp /usr/share/misc/config.sub config.sub
	[ -f config.guess.upstream ] || \
	  mv config.guess config.guess.upstream && \
	    cp /usr/share/misc/config.guess config.guess

	dh_autoreconf

	# Configure for xscreensaver
	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
		--prefix=/usr \
		--without-gl --with-pam --with-gtk --without-kerberos \
		--with-hackdir=/usr/lib/xscreensaver \
		--with-configdir=/usr/share/xscreensaver/config \
		--mandir=/usr/share/man --with-login-manager \
		--with-x-app-defaults=/etc/X11/app-defaults \
		--with-proc-interrupts
	cp driver/XScreenSaver.ad driver/XScreenSaver.ad-nogl
	# Configure for xscreensaver-gl
	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
		--prefix=/usr \
		--with-gl --with-pam --with-gtk --without-kerberos \
		--with-hackdir=/usr/lib/xscreensaver \
		--with-configdir=/usr/share/xscreensaver/config \
		--mandir=/usr/share/man --with-login-manager \
		--with-x-app-defaults=/etc/X11/app-defaults \
		--with-proc-interrupts
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log config.h
	rm -rf driver/XScreenSaver.ad-nogl
	rm -f debian/xscreensaver*.install
	rm -f debian/xscreensaver*.manpages
	rm -f po/.intltool-merge-cache
	[ ! -f config.sub.upstream ] || mv config.sub.upstream config.sub
	[ ! -f config.guess.upstream ] || mv config.guess.upstream config.guess
	[ ! -f driver/XScreenSaver_ad.h.upstream ] || \
	  mv driver/XScreenSaver_ad.h.upstream driver/XScreenSaver_ad.h
	[ ! -f driver/XScreenSaver_Xm_ad.h.upstream ] || \
	  mv driver/XScreenSaver_Xm_ad.h.upstream driver/XScreenSaver_Xm_ad.h
	dh_autoreconf_clean
	dh_clean

binary-indep:	build
# Nothing to do here

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install_prefix=$(CURDIR)/debian/tmp \
		GTK_DATADIR=/usr/share KDEDIR=/usr install
	dh_installdirs -a
	dh_installdocs -a
	dh_installchangelogs -a
	# Install .desktop files used by gnome-screensaver etc
	mkdir -p debian/tmp/usr/share/applications/screensavers
	cp debian/screensavers-desktop-files/*.desktop \
		debian/tmp/usr/share/applications/screensavers/
	for i in debian/tmp/usr/share/applications/screensavers/*; do \
		cat debian/screensavers-desktop.stub >> $${i}; done
	mv debian/tmp/usr/share/man/man6/xscreensaver-gl-helper.6x \
	   debian/tmp/usr/share/man/man1/xscreensaver-gl-helper.1
	# Change man header section from 6 to 1
	sed -i '1s/6x/1/' debian/tmp/usr/share/man/man1/xscreensaver-gl-helper.1
	sh debian/split-hacks.sh
	dh_install -a
	chmod +x debian/xscreensaver/usr/share/xscreensaver/xscreensaver-wrapper.sh
	dh_installman -a
	dh_installpam -a
	dh_installmenu -a
	# Install app-defaults to proper places
	mv debian/xscreensaver-data/etc/X11/app-defaults/XScreenSaver \
		debian/xscreensaver-gl/etc/X11/app-defaults/XScreenSaver-gl
	install -m 644 -o root -g root driver/XScreenSaver.ad-nogl \
		debian/xscreensaver-data/etc/X11/app-defaults/XScreenSaver-nogl
	dh_link -a
	dh_strip -a --no-automatic-dbgsym
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary:	binary-indep binary-arch

.PHONY:	binary binary-arch binary-indep clean

=== debian/watch ===
version=3
#https://www.jwz.org/xscreensaver/xscreensaver-(.*)\.tar\.gz
https://www.jwz.org/xscreensaver/download.html xscreensaver-(.*)\.tar\.gz

## xscreensaver 5.42+dfsg1

=== hacks/images/Makefile ===
# hacks/images/Makefile.in --- xscreensaver, Copyright (c) 2018 Jamie Zawinski.
# the `../configure' script generates `hacks/images/Makefile' from this file.


srcdir		= .
VPATH		= ${srcdir} ${srcdir}/bubbles ${srcdir}/m6502 \
		  ${srcdir}/molecules ${srcdir}/noseguy
top_srcdir	= ../..
UTILS_SRC	= $(top_srcdir)/utils
RM		= rm -f

STAR		= *
TARFILES	= Makefile \
		  Makefile.in \
		  $(STAR).png \
		  $(STAR).gif \
		  $(STAR)/$(STAR).png \
		  $(STAR)/$(STAR).asm \
		  $(STAR)/$(STAR).pdb \
		  $(STAR)/$(STAR).pov \
		  $(STAR)/$(STAR).txt \

PNG_HDRS	= $(shell find $(srcdir) -name \*.png | \
		    sed 's@^.*/\(.*\)\.\(png\)$$@gen/\1_\2.h@')

default: all

all: gen $(PNG_HDRS)

gen:
	mkdir gen

# %.png dependency below works because VPATH contains subdirs
# of 'images' dir not only 'images' itself
gen/%_png.h: %.png
	echo $(UTILS_SRC)/bin2c "$<" "$@"
	$(UTILS_SRC)/bin2c "$<" "$@"

clean:
	$(RM) -r gen

echo_tarfiles:
	@echo $(TARFILES)

install:
install-program:
install-man:
install-strip:
uninstall:
uninstall-program:
uninstall-man:
depend:
distdepend:
tags:

=== debian/changelog ===
xscreensaver (5.42+dfsg1-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Use /usr/share/backgrounds as image directory.
      + Add translation domain to .desktop files.
    - debian/source_xscreensaver.py:
      + Add apport hook.
    - debian/xscreensaver.dirs:
      + Install /usr/share/backgrounds. By default, settings search in
        /usr/share/backgrounds and without it, it displays an error.
    - debian/patches/90_ubuntu-branding.patch: Use Ubuntu branding.
  * Dropped changes:
    - debian/patches/60_sequential_glslideshow.patch:
      + Allow going through images sequentially rather than just at random in
        the GLSlideshow hack.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 27 Jan 2019 16:40:05 -0500

xscreensaver (5.42+dfsg1-1) unstable; urgency=medium

  * New upstream release 5.42, changes since 5.40:
    - New hack, `handsy'.
    - X11: Those new font-loading fallback heuristics work again. Oops.
    - Fixed noof from displaying minimalistically.
    - Rewrote unknownpleasures to be faster, and a true waterfall graph.
    - BSOD Solaris improved. DVD added.
    - If the xscreensaver daemon is setuid, then we can implore the
      kernel's out-of-memory killer to not unlock the screen.
  * debian/copyright: Exclude OSX and Android build trees
  * debian/watch: Mangle version name for dfsg repack
  * debian/patches/14_upstream_cpp_comments.patch: Avoid // comment

 -- Tormod Volden <debian.tormod@gmail.com>  Fri, 25 Jan 2019 00:15:07 +0100

xscreensaver (5.36-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Use /usr/share/backgrounds as image directory.
      + Add translation domain to .desktop files.
    - debian/source_xscreensaver.py:
      + Add apport hook.
    - debian/xscreensaver.dirs:
      + Install /usr/share/backgrounds. By default, settings search in
        /usr/share/backgrounds and without it, it displays an error.
    - debian/patch/90_ubuntu-branding.patch: Use Ubuntu branding.
    - debian/patches/60_sequential_glslideshow.patch:
      + Allow going through images sequentially rather than just at random in
        the GLSlideshow hack.
  * Dropped changes:
    - debian/control:
      + Breaks/Replaces: the old changes are not needed anymore, but the
        new changes the screensavers sets needs it.
  * d/p/90_ubuntu-branding.patch: Fix feed used for the Fridge.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 24 Mar 2017 17:21:10 -0400

xscreensaver (5.34-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes: (Really fix LP: #1406825)
    - debian/control:
      + Breaks/Replaces: the old changes are not needed anymore, but the
        new changes the screensavers sets needs it.
    - debian/rules:
      + Use /usr/share/backgrounds as image directory.
      + Add translation domain to .desktop files.
    - debian/source_xscreensaver.py:
      + Add apport hook.
    - debian/xscreensaver.dirs:
      + Install /usr/share/backgrounds. By default, settings search in
        /usr/share/backgrounds and without it, it displays an error.
    - debian/patch/90_ubuntu-branding.patch: Use Ubuntu branding.
    - debian/patches/60_sequential_glslideshow.patch:
      + Allow going through images sequentially rather than just at random in
        the GLSlideshow hack.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 06 Apr 2016 17:26:23 -0400

xscreensaver (5.34-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes: (LP: #1512136)
    - debian/control:
      + Breaks/Replaces: the old changes are not needed anymore, but the
        new changes the screensavers sets needs it.
    - debian/rules:
      + Use /usr/share/backgrounds as image directory.
      + Add translation domain to .desktop files.
    - debian/source_xscreensaver.py:
      + Add apport hook.
    - debian/xscreensaver.dirs:
      + Install /usr/share/backgrounds. By default, settings search in
        /usr/share/backgrounds and without it, it displays an error.
    - debian/patch/90_ubuntu-branding.patch: Use Ubuntu branding.
    - debian/patches/60_sequential_glslideshow.patch:
      + Allow going through images sequentially rather than just at random in
        the GLSlideshow hack.
  * Dropped changes, fixed in Debian:
    - debian/patches/91_replace-gdmflexiserver.patch:
      + Use dm-tool instead of gdmflexiserver for user-switching,
        the latter is no longer provided by lightdm.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 27 Oct 2015 20:23:19 -0400

xscreensaver (5.30-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. (LP: #1406825) Remaining changes:
    - debian/control:
      + Breaks/Replaces: the old changes are not needed anymore, but the
        new changes the screensavers sets needs it.
    - debian/rules:
      + Use /usr/share/backgrounds as image directory.
      + Add translation domain to .desktop files.
    - debian/source_xscreensaver.py:
      + Add apport hook.
    - debian/xscreensaver.dirs:
      + Install /usr/share/backgrounds. By default, settings search in
        /usr/share/backgrounds and without it, it displays an error.
    - debian/patch/90_ubuntu-branding.patch: Use Ubuntu branding.
    - debian/patches/60_sequential_glslideshow.patch:
      + Allow going through images sequentially rather than just at random in
        the GLSlideshow hack.
    - debian/patches/91_replace-gdmflexiserver.patch:
      + Use dm-tool instead of gdmflexiserver for user-switching,
        the latter is no longer provided by lightdm.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 18 Feb 2015 02:17:23 -0500

xscreensaver (5.26-1ubuntu3) utopic; urgency=medium

  * debian/patches/91_replace-gdmflexiserver.patch:
    - Use dm-tool instead of gdmflexiserver for user-switching,
      the latter is no longer provided by lightdm (LP: #1320560)



=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xscreensaver
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Tormod Volden <debian.tormod@gmail.com>
 Build-Depends: autotools-dev,
                bc,
@@ -165,7 +165,7 @@
  xscreensaver-gl:
  antmaze, atlantis, blocktube, boing, bouncingcow, boxed, cage,
  carousel, companioncube, crackberg, cube21, cubenetic, cubicgrid,
- dangerball, extrusion, fliptext, flurry, glhanoi, glplanet,
+ dangerball, extrusion, fliptext, flurry, glhanoi, glplanet, handsy,
  hilbert, hypnowheel, jigsaw, juggler3d, klein, lament, menger, noof,
  photopile, pinion, providence, rubik, rubikblocks, sballs, skytentacles,
  sproingies, stairs, starwars, surfaces, tangram, timetunnel, tronbit,

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 	# Configure for xscreensaver
 	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
+		--with-image-directory=/usr/share/backgrounds \
 		--without-gl --with-pam --with-gtk --without-kerberos \
 		--with-hackdir=/usr/lib/xscreensaver \
 		--with-configdir=/usr/share/xscreensaver/config \
@@ -57,6 +58,7 @@
 	# Configure for xscreensaver-gl
 	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
+		--with-image-directory=/usr/share/backgrounds \
 		--with-gl --with-pam --with-gtk --without-kerberos \
 		--with-hackdir=/usr/lib/xscreensaver \
 		--with-configdir=/usr/share/xscreensaver/config \
@@ -95,6 +97,14 @@
 	dh_installdirs -a
 	dh_installdocs -a
 	dh_installchangelogs -a
+
+	# Add translation domain to .desktop files
+	DOMAIN=$$(grep --max-count 1 '^GETTEXT_PACKAGE[[:space:]]*=' $(CURDIR)/po/Makefile | sed 's/^.*=[[:space:]]\([^[:space:]]\)/\1/'); \
+	for d in $$(find debian/tmp -type f -name "*.desktop" ); do \
+	    echo "Adding translation domain $$DOMAIN to $$d..."; \
+	    echo "X-Ubuntu-Gettext-Domain=$$DOMAIN" >> $$d; \
+	done
+
 	# Install .desktop files used by gnome-screensaver etc
 	mkdir -p debian/tmp/usr/share/applications/screensavers
 	cp debian/screensavers-desktop-files/*.desktop \
@@ -117,7 +127,7 @@
 	install -m 644 -o root -g root driver/XScreenSaver.ad-nogl \
 		debian/xscreensaver-data/etc/X11/app-defaults/XScreenSaver-nogl
 	dh_link -a
-	dh_strip -a --no-automatic-dbgsym
+	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//, \
 compression=gzip, \
 repacksuffix=+dfsg1" \
https://www.jwz.org/xscreensaver/download.html xscreensaver-(.*)\.tar\.gz
#https://www.jwz.org/xscreensaver/xscreensaver-(.*)\.tar\.gz

## xscreensaver 5.44+dfsg1

=== debian/changelog ===
xscreensaver (5.44+dfsg1-0.1~mx19+1) mx; urgency=medium

  * New upstream release 5.44, changes for Linux since 5.44:
    - New hacks,'deepstars, `gibson', `etruscanvenus', `scooter', `gravitywell'.
      Scooter added to data-extra package, the others to gl-extra.
    - BSOD supports Tivo and Nintendo.
    - New color options in `romanboy', `projectiveplane', `hypertorus'
      and `klein'.
    - Performance tweaks for `eruption', `fireworkx', `halftone', `halo',
      `moire2', and `rd-bomb'.
    - X11: Always use $HOME/.xscreensaver, not getpwuid's directory.
    - GLPlanet now supports the Mercator projection.
    - Bouncing Cow has mathematically ideal cows (spherical, frictionless).
    - Foggy toasters.
    - Unknown Pleasures can now use an image file as a clip mask.
    - Updated `webcollage' for recent changes.
    - X11: Added some sample unlock dialog color schemes to the .ad file.
    - X11: On systemd systems, closing your laptop lid might actually lock
          your screen now, maybe.
    - X11: 'sonar' can ping without being setuid by using setcap.

  * Disable 12_upstream_hurd-no-pthread_stack_min.patch, not needed on Linux.
  * Disable 14_upstream_cpp_comments.patch, 91_allow_cross_compilation.patch,
    and 93_driver_distclean.patch: fixed upstream.
  * Refresh  22_hacks_barcode.patch, 50_debian_branding.patch,
    53_default_newLoginCommand.patch, 56_password_dialog_reworded.patch,
    93_driver_distclean.patch. 

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Jun 2020 10:56:37 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xscreensaver
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Tormod Volden <debian.tormod@gmail.com>
 Build-Depends: autotools-dev,
                bc,
@@ -112,7 +112,7 @@
  kumppa, lcdscrub, ljlatest, loop, maze, memscroller, moire2, moire,
  mountain, munch, nerverot, noseguy, pacman, pedal, penetrate, petri,
  phosphor, piecewise, polyominoes, pong, pyro, qix, rd-bomb, rocks,
- rorschach, rotzoomer, sierpinski, slip, speedmine, spotlight,
+ rorschach, rotzoomer, scooter, sierpinski, slip, speedmine, spotlight,
  squiral, starfish, strange, substrate, thornbird, triangle, truchet,
  twang, vermiculate, vfeedback, vidwhacker, wander, whirlwindwarp,
  wormhole, xanalogtv, xflame, xjack, xmatrix, xrayswarm, xspirograph,
@@ -135,7 +135,7 @@
  .
  This is the set of GL screensavers shipped by default:
  antinspect, antspotlight, atunnel, blinkbox, bubble3d, circuit,
- cityring, crumbler, cubestack, cubestorm, cubetwist, discoball,
+ cityflow, crumbler, cubestack, cubestorm, cubetwist, discoball,
  dymaxionmap, endgame, energystream, engine, esper, flipflop,
  flipscreen3d, flyingtoasters, gears, geodesic, geodesicgears, gflux,
  glblur, glcells, gleidescope, glknots, glmatrix, glschool,
@@ -164,12 +164,12 @@
  This is the set of GL screensavers not shipped by default with
  xscreensaver-gl:
  antmaze, atlantis, blocktube, boing, bouncingcow, boxed, cage,
- carousel, companioncube, crackberg, cube21, cubenetic, cubicgrid,
- dangerball, extrusion, fliptext, flurry, glhanoi, glplanet, handsy,
- hilbert, hypnowheel, jigsaw, juggler3d, klein, lament, menger, noof,
- photopile, pinion, providence, rubik, rubikblocks, sballs, skytentacles,
- sproingies, stairs, starwars, surfaces, tangram, timetunnel, tronbit,
- unknownpleasures.
+ carousel, companioncube, crackberg, cube21, cubenetic, cubicgrid, dangerball,
+ deepstars, etruscanvenus, extrusion, fliptext, flurry, gibson, glhanoi,
+ glplanet, gravitywell, handsy, hilbert, hypnowheel, jigsaw, juggler3d, klein,
+ lament, menger, noof, photopile, pinion, providence, rubik, rubikblocks,
+ sballs, skytentacles, sproingies, stairs, starwars, surfaces,
+ tangram, timetunnel, tronbit, unknownpleasures.
  .
  More display modes can be found in the xscreensaver-data,
  xscreensaver-data-extra and xscreensaver-gl packages.

## xscreensaver 5.45%2Bdfsg1

=== debian/changelog ===
xscreensaver (5.45+dfsg1-2ubuntu1) impish; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Use /usr/share/backgrounds as image directory.
      + Add translation domain to .desktop files.
    - debian/source_xscreensaver.py:
      + Add apport hook.
    - debian/xscreensaver.dirs:
      + Install /usr/share/backgrounds. By default, settings search in
        /usr/share/backgrounds and without it, it displays an error.
    - debian/patches/90_ubuntu-branding.patch: Use Ubuntu branding.

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 15 Jun 2021 11:21:52 +1200

xscreensaver (5.45+dfsg1-2) unstable; urgency=medium

  * Do not assign raw net capability to "sonar" hack due to a security
    vulnerability in mesa (Closes: #987149)
  * Make sure is systemd unit is disabled if upgrading from previous
    two releases (Closes: #978589)
  * Do not enable screensaver on login screen (Closes: #979562, #988158)
  * Recommend needed font for unlock dialog (Closes: #978086)
  * Apply fix for crash on video output disconnection (Closes: #989508)

 -- Tormod Volden <debian.tormod@gmail.com>  Sun, 06 Jun 2021 12:25:19 +0200

xscreensaver (5.45+dfsg1-1) unstable; urgency=low

  * New upstream release 5.45
    - New hacks, `covid19', `headroom', `sphereeversion' and `beats'.
    - Shader updates to `hypertorus'.
    - No more image-loading pause in `glslideshow'.
    - BSOD supports GNOME.
    - Image loaders support SVG.
    - X11: `xscreensaver-systemd' now allows video players to request that
      the screen not blank.
    - X11: -log implies -verbose -no-capture-stderr.
    - X11: Glade -> GtkBuilder.
    - Various bug fixes. (Closes: #956251)
  * Drop libglade2 dependency (Closes: #967892, #967232)
  * debian/rules: Fix package build on architectures without systemd
  * Use setcap in postinst only if available (Linux)
  * Drop patches accepted upstream:
    - 12_upstream_man_pages_name_header_backslash.patch
    - 14_upstream_gibson_man_page_name.patch
    - 16_upstream_cross_ac_path_tool.patch
    - 18_upstream_misspellings.patch
  * debian/patches/12_upstream_man_beats_speereev_backslash.patch:
    - man page name header syntax fixes
  * debian/patches/94_cpu_usage_verbose.patch: Mostly upstreamed
  * debian/patches/53_default_newLoginCommand.patch: Update to use
    dm-tool instead of gdmflexiserver as default for user switching
  * Use gdm-command as fallback in xscreensaver-wrapper.sh
  * Recommend xfonts-100dpi (Closes: #932837) thanks jwz
  * Ship hacks under /usr/libexec instead of /usr/lib (thanks jwz)
  * Do not enable systemd unit by default, since it breaks existing
    (non-systemd) setups (Closes: #977804) Note it only got enabled
    by default in 5.44+dfsg1-2.

 -- Tormod Volden <debian.tormod@gmail.com>  Wed, 23 Dec 2020 00:09:44 +0100

xscreensaver (5.44+dfsg1-2) unstable; urgency=low

  [ Andrej Shadura ]
  * debian/rules rewritten to short dh form
  * Bump debhelper from deprecated 9 to 12

  [ Tormod Volden ]
  * Drop build-depends on autotools-dev and dh-autoreconf
  * Limit setcap usage to Linux architectures
  * New, upstreamed patches:
    - 16_upstream_cross_ac_path_tool.patch (thanks Helmut Grohne)
      Fixes cross-building from scratch (Closes: #973338)
    - 18_upstream_misspellings.patch (various misspellings)
  * debian/copyright: Clarify noseguy/hyperball/hypercube
  * Add build-depends on gdk-pixbuf libraries no longer pulled in
    by GTK 2 (Closes: #975703) thanks Simon McVittie
  * Add NEWS link to upstream README (release notes)
  * Bump Standards-Version to 4.5.1
  * Build without shadow passwd support since we rely on pam

 -- Tormod Volden <debian.tormod@gmail.com>  Tue, 08 Dec 2020 19:49:18 +0100

xscreensaver (5.44+dfsg1-1) unstable; urgency=medium

  [ Patrice Duroux ]
  * Fix invalid syntax in glitchpeg.desktop (Closes: #920753)

  [ Will Ross ]
  * New upstream release 5.43 (Closes: #954017)
    - New hacks, `GravityWell', `DeepStars'.
    - GLPlanet now supports the Mercator projection.
    - Bouncing Cow has mathematically ideal cows (spherical, frictionless).
    - Foggy toasters.
    - Unknown Pleasures can now use an image file as a clip mask.
    - Updated `webcollage' for recent changes.
    - X11: Added some sample unlock dialog color schemes to the .ad file.
    - X11: On systemd systems, closing your laptop lid might actually lock
      your screen now, maybe. (Closes: #781961)
    - X11: 'sonar' can ping without being setuid by using setcap.
      (Closes: #96677)
  * Removed patches applied upstream or obsolete:
    - debian/patches/12_upstream_hurd-no-pthread_stack_min.patch
    - debian/patches/14_upstream_cpp_comments.patch
    - debian/patches/91_allow_cross_compilation.patch.patch

  [ Tormod Volden ]
  * New upstream release 5.44
    - New hacks, `gibson', `etruscanvenus' and `scooter'.
    - BSOD supports Tivo and Nintendo.
    - New color options in `romanboy', `projectiveplane', `hypertorus'
      and `klein'.
    - Performance tweaks for `eruption', `fireworkx', `halftone', `halo',
      `moire2', `rd-bomb'
    - X11: Always use $HOME/.xscreensaver, not getpwuid's directory.
    - Various bug fixes.
  * Drop obsolete or upstreamed patches:
    - debian/patches/22_hacks_barcode.patch
    - debian/patches/23_hacks_glx_glsnake.patch
    - debian/patches/24_install_systemd_helper.patch
    - debian/patches/93_driver_distclean.patch
  * New, upstreamed patches:
    - 12_upstream_man_pages_name_header_backslash.patch
    - 14_upstream_gibson_man_page_name.patch
    - 99_cpu_usage_verbose.patch
  * Use dh_update_autotools_config and update debhelper deps

  [ Andrej Shadura ]
  * debian/copyright: use spaces rather than tabs to start
    continuation lines.
  * Remove deprecated Encoding key from desktop file
    debian/xscreensaver-daemon.desktop.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 17 Oct 2020 18:08:05 +0200
